<template>
  <modal title="Title" :width="520" :is-show="isShow" class="app-modal" transition="fadeIn" @close="isShow=false">
    <div slot="header"></div>

    <div class="wrap">
      <div>       
        <p><img src="../../../assets/imgs/agora-sm.png" alt="Agora 2030" /></p>
        <h3 class="title is-3">Seja também um curador!<br />Baixe o APP:</h3>
        <div class="columns is-centered buttons">
          <div class="column">
            <a href="https://itunes.apple.com/us/app/%C3%A1gora-2030/id1307124118?l=pt&ls=1&mt=8"  target="_blank">
              <img src="../../../assets/imgs/bt-app-apple-1.png" alt="Disponível para iPhone iPad" />
            </a>
          </div>
          <div class="column">
            <a href="https://play.google.com/store/apps/details?id=br.org.agora2030" target="_blank">
              <img src="../../../assets/imgs/bt-app-android-1.png" alt="Disponível para Android" />
            </a>
          </div>
        </div>
      </div>
    </div>
    <div slot="footer"></div>
  </modal>
</template>

<script type="text/javascript">
export default {
  name: "ModalDownloads",
  data () {
    return {
      isShow: false
    }
  },
  mounted () {
    let key = 'ModalAppDownloads';

    if(this.$cookie.get(key) != '1') {
      this.isShow = true
    }

    this.$cookie.set(key, '1', 1);
  }
}
</script>

<style scoped lang="scss">
.modal {
  .title {
    margin: 20px auto;
  }
  .wrap {
    display: flex;
    align-items: center;
    text-align: center;
    height: 300px;  

    div {
      margin: 0 auto;
    } 
  }
}
</style>